<?
session_start();
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso esta logado!"; }
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
?>
<?php

if($_POST['prossegue']) {
/* Configuração */
$dir = "images/char/"; // Diretório para onde irão as imagens. Tem que setar permissão na pasta 777
$max = "300000"; // Tamanho máximo que as imagens poderão ter.

/* Pega as informações do arquivo */
$f_name = $_FILES['arquivo']['name'];
$f_tmp = $_FILES['arquivo']['tmp_name'];
$f_type = $_FILES['arquivo']['type'];
$f_size = $_FILES['arquivo']['size'];

/* Verifica o formato do arquivo */
if(($f_type != 'image/jpeg') AND ($f_type != 'image/gif')){ echo "Formato do arquivo nao e valido!"; }

/* Verifica o tamanho do arquivo */
elseif($f_size > $max){ echo "erro foto muito pesada, mande uma com no maximo 300kb"; }

/* Verifica se o arquivo já existe no diretório */
elseif(file_exists("$dir/$f_name")){ echo "O arquivo ja existe no diretorio, mude o nome da foto."; }

/* Caso esteja tudo correto ele manda o arquivo para o diretório e imprime a confirmação */
else {

/* Envia a imagem */
move_uploaded_file($f_tmp, $dir.$f_name);
$img = $dir.$f_name;
$tipo = $f_type;
$tamanho = "$f_size". Kb."";

/* Registrando imagem no SQL */
$Query = mssql_query("UPDATE Character SET foto='$f_name' WHERE Name='".$char."'");

/* Imprime a confirmação de que o upload foi realizado com sucesso */
echo "<script>alert('Imagem Enviada.');
location='javascript:history.back()'</script>";
}
}
else {
?>
<h1>Add/Alterar Foto do CHAR</h1>
<p><br>
<b><font color="#FF0000">
  #</font></b> Use o tamanho 120px X 100px para sua foto ficar &quot;REGULADA&quot;  .<br />
<b><font color="#FF0000">#</font></b> Selecione seu char , e envie a foto com o nome do seu char (ex : teste.GIF , Lord.jpg).<br />
  <b><font color="#FF0000">#</font></b> Imagens com o nome muito grande, com espaco ou simbulos no nome n&atilde;o v&atilde;o funcionar. <br />
  <b><font color="#FF0000">#</font></b> Caso ocorra algum erro , renomeia a foto e tente novamente.<br />
<blockquote>
<form method="POST" action="" enctype="multipart/form-data">

Imagem: 
<input type="file" name="arquivo"><br><BR>
Char:<select name="char" id="char">
		<?
		$Chars = mssql_query("select name from Character where accountid='".$login."'");
		for($p=0;$p<mssql_num_rows($Chars);$p++) {
		$Char=mssql_fetch_row($Chars);
		echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
		}
		?>
        </select><br />
        <br />
  <input type="submit" name="prossegue" id="prossegue" value="Enviar">
</form>
</blockquote>

<? } } ?>
